org.hibernate.search.backend.spi

## Class Work

- java.lang.Object
- - org.hibernate.search.backend.spi.Work

- Direct Known Subclasses:
    DeleteByQueryWork

      public class Work
      extends Object

  A unit of work. Only make sense inside the same session since it uses the scope principle.
  Author:
    Emmanuel Bernard, Hardy Ferentschik

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Work(IndexedTypeIdentifier entityType, Serializable id, WorkType type)`
    `Work(Object entity, Serializable id, WorkType type)`
    `Work(Object entity, Serializable id, WorkType type, boolean identifierRollbackEnabled)`
    `Work(Object entity, WorkType type)`
    `Work(String tenantId, IndexedTypeIdentifier entityType, Serializable id, WorkType type)`
    `Work(String tenantId, Object entity, Serializable id, WorkType type)`
    `Work(String tenantId, Object entity, Serializable id, WorkType type, boolean identifierRollbackEnabled)`
    `Work(String tenantId, Object entity, WorkType type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getEntity()`
    `Serializable` | `getId()`
    `String` | `getTenantIdentifier()`
    `WorkType` | `getType()`
    `IndexedTypeIdentifier` | `getTypeIdentifier()`
    `boolean` | `isIdentifierWasRolledBack()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Work

          public Work(Object entity,
                      Serializable id,
                      WorkType type)

    - #### Work

          public Work(Object entity,
                      Serializable id,
                      WorkType type,
                      boolean identifierRollbackEnabled)

    - #### Work

          public Work(IndexedTypeIdentifier entityType,
                      Serializable id,
                      WorkType type)

    - #### Work

          public Work(Object entity,
                      WorkType type)

    - #### Work

          public Work(String tenantId,
                      Object entity,
                      Serializable id,
                      WorkType type)

    - #### Work

          public Work(String tenantId,
                      Object entity,
                      Serializable id,
                      WorkType type,
                      boolean identifierRollbackEnabled)

    - #### Work

          public Work(String tenantId,
                      IndexedTypeIdentifier entityType,
                      Serializable id,
                      WorkType type)

    - #### Work

          public Work(String tenantId,
                      Object entity,
                      WorkType type)

  - ### Method Detail

    - #### getTypeIdentifier

          public IndexedTypeIdentifier getTypeIdentifier()

    - #### getTenantIdentifier

          public String getTenantIdentifier()

    - #### getEntity

          public Object getEntity()

    - #### getId

          public Serializable getId()

    - #### getType

          public WorkType getType()

    - #### isIdentifierWasRolledBack

          public boolean isIdentifierWasRolledBack()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved